0N/A#!/bin/ksh -p
0N/A
0N/A#
5524N/A# Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
0N/A# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
0N/A#
0N/A# This code is free software; you can redistribute it and/or modify it
0N/A# under the terms of the GNU General Public License version 2 only, as
0N/A# published by the Free Software Foundation.
0N/A#
0N/A# This code is distributed in the hope that it will be useful, but WITHOUT
0N/A# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
0N/A# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
0N/A# version 2 for more details (a copy is included in the LICENSE file that
0N/A# accompanied this code).
0N/A#
0N/A# You should have received a copy of the GNU General Public License version
0N/A# 2 along with this work; if not, write to the Free Software Foundation,
0N/A# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
0N/A#
2362N/A# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
2362N/A# or visit www.oracle.com if you need additional information or have any
2362N/A# questions.
0N/A#
0N/A
0N/A#
0N/A# @test ShowExitTest.sh
0N/A# @bug 6513421
0N/A# @summary Java process does not terminate on closing the Main Application Frame
0N/A#
0N/A# @compile ShowExitTest.java
0N/A# @run shell/timeout=60 ShowExitTest.sh
0N/A
0N/A# NOTE: The following error message means that the regression test failed:
0N/A# "Execution failed: Program `sh' interrupted! (timed out?)"
0N/A
0N/A# Beginning of subroutines:
0N/Astatus=1
0N/A
0N/A#Call this from anywhere to fail the test with an error message
0N/A# usage: fail "reason why the test failed"
5524N/Afail()
0N/A { echo "The test failed :-("
0N/A echo "$*" 1>&2
0N/A echo "exit status was $status"
0N/A exit $status
0N/A } #end of fail()
0N/A
0N/A#Call this from anywhere to pass the test with a message
0N/A# usage: pass "reason why the test passed if applicable"
5524N/Apass()
0N/A { echo "The test passed!!!"
0N/A echo "$*" 1>&2
0N/A exit 0
0N/A } #end of pass()
0N/A
0N/A# end of subroutines
0N/A
0N/A
0N/A# The beginning of the script proper
0N/A
0N/A# Checking for proper OS
0N/AOS=`uname -s`
0N/Acase "$OS" in
0N/A SunOS )
0N/A VAR="One value for Sun"
5524N/A DEFAULT_JDK=/
0N/A FILESEP="/"
5524N/A PATHSEP=":"
5524N/A TMP="/tmp"
0N/A ;;
0N/A
0N/A Linux )
0N/A VAR="A different value for Linux"
5524N/A DEFAULT_JDK=/
0N/A FILESEP="/"
5524N/A PATHSEP=":"
5524N/A TMP="/tmp"
5524N/A ;;
5524N/A
5524N/A Darwin )
5524N/A VAR="A different value for MacOSX"
5524N/A DEFAULT_JDK=/usr
5524N/A FILESEP="/"
5524N/A PATHSEP=":"
5524N/A TMP="/tmp"
0N/A ;;
0N/A
5524N/A Windows* )
0N/A VAR="A different value for Win32"
5524N/A DEFAULT_JDK="C:/Program Files/Java/jdk1.8.0"
0N/A FILESEP="\\"
5524N/A PATHSEP=";"
5524N/A TMP=`cd "${SystemRoot}/Temp"; echo ${PWD}`
5524N/A ;;
5524N/A
5524N/A CYGWIN* )
5524N/A VAR="A different value for Cygwin"
5524N/A DEFAULT_JDK="/cygdrive/c/Program\ Files/Java/jdk1.8.0"
5524N/A FILESEP="/"
5524N/A PATHSEP=";"
5524N/A TMP=`cd "${SystemRoot}/Temp"; echo ${PWD}`
0N/A ;;
0N/A
0N/A # catch all other OSs
0N/A * )
0N/A echo "Unrecognized system! $OS"
0N/A fail "Unrecognized system! $OS"
0N/A ;;
0N/Aesac
0N/A
0N/A
5524N/A# Want this test to run standalone as well as in the harness, so do the
5524N/A# following to copy the test's directory into the harness's scratch directory
0N/A# and set all appropriate variables:
0N/A
0N/Aif [ -z "${TESTJAVA}" ] ; then
0N/A # TESTJAVA is not set, so the test is running stand-alone.
0N/A # TESTJAVA holds the path to the root directory of the build of the JDK
0N/A # to be tested. That is, any java files run explicitly in this shell
0N/A # should use TESTJAVA in the path to the java interpreter.
0N/A # So, we'll set this to the JDK spec'd on the command line. If none
0N/A # is given on the command line, tell the user that and use a cheesy
0N/A # default.
0N/A # THIS IS THE JDK BEING TESTED.
0N/A if [ -n "$1" ] ;
0N/A then TESTJAVA=$1
0N/A else echo "no JDK specified on command line so using default!"
5524N/A TESTJAVA=$DEFAULT_JDK
0N/A fi
0N/A TESTSRC=.
0N/A TESTCLASSES=.
0N/A STANDALONE=1;
0N/Afi
0N/Aecho "JDK under test is: $TESTJAVA"
0N/A
0N/A#Deal with .class files:
5524N/Aif [ -n "${STANDALONE}" ] ;
5524N/A then
0N/A #if standalone, remind user to cd to dir. containing test before running it
0N/A echo "Just a reminder: cd to the dir containing this test when running it"
0N/A # then compile all .java files (if there are any) into .class files
5524N/A if [ -a *.java ] ;
0N/A then echo "Reminder, this test should be in its own directory with all"
0N/A echo "supporting files it needs in the directory with it."
5524N/A ${TESTJAVA}/bin/javac ./*.java ;
0N/A fi
0N/A # else in harness so copy all the class files from where jtreg put them
5524N/A # over to the scratch directory this test is running in.
0N/A else cp ${TESTCLASSES}/*.class . ;
0N/Afi
0N/A
5524N/A#if in test harness, then copy the entire directory that the test is in over
0N/A# to the scratch directory. This catches any support files needed by the test.
5524N/Aif [ -z "${STANDALONE}" ] ;
5524N/A then cp ${TESTSRC}/* .
0N/Afi
0N/A
0N/A#Just before executing anything, make sure it has executable permission!
0N/Achmod 777 ./*
0N/A
0N/A############### YOUR TEST CODE HERE!!!!!!! #############
0N/A
0N/A#All files required for the test should be in the same directory with
0N/A# this file. If converting a standalone test to run with the harness,
0N/A# as long as all files are in the same directory and it returns 0 for
0N/A# pass, you should be able to cut and paste it into here and it will
0N/A# run with the test harness.
0N/A
0N/A${TESTJAVA}/bin/java ShowExitTest
0N/A
0N/A############### END YOUR TEST CODE !!!!! ############
0N/A#Be sure the last command executed above this line returns 0 for success,
0N/A# something non-zero for failure.
0N/Astatus=$?
0N/A
0N/A# pass or fail the test based on status of the command
0N/Aif [ $status -eq "0" ];
0N/A then pass ""
0N/A
0N/A else fail "The program didn't terminate automatically!"
0N/Afi
0N/A
0N/A#For additional examples of how to write platform independent KSH scripts,
0N/A# see the jtreg file itself. It is a KSH script for both Solaris and Win32
0N/A